org.bouncycastle.pqc.asn1

## Class SABERPublicKey

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.pqc.asn1.SABERPublicKey

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class SABERPublicKey
      extends ASN1Object

  Expires 13 May 2022 SABERPublicKey := SEQUENCE { seed_A OCTET STRING, -- 32-byte seed b OCTET STRING -- short integer polynomial b }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SABERPublicKey(byte[] seed_A, byte[] b)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getB()`
    `static SABERPublicKey` | `getInstance(java.lang.Object o)`
    `byte[]` | `getSeed_A()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SABERPublicKey

          public SABERPublicKey(byte[] seed_A,
                                byte[] b)

  - ### Method Detail

    - #### getSeed_A

          public byte[] getSeed_A()

    - #### getB

          public byte[] getB()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### getInstance

          public static SABERPublicKey getInstance(java.lang.Object o)